Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class BasicFontImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.BasicFontImpl

All Implemented Interfaces:
  BasicFont, EObject, Font, InternalEObject, Notifier

public class BasicFontImpl
extends EObjectImpl
implements BasicFont

An implementation of the model object 'Basic Font'.

The following features are implemented:

- `Face Name`
- `Height`
- `Style`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `FACE_NAME_EDEFAULT` The default value of the '`Face Name`' attribute
`protected java.lang.String` `faceName` The cached value of the '`Face Name`' attribute
`protected int` `height` The cached value of the '`Height`' attribute
`protected static int` `HEIGHT_EDEFAULT` The default value of the '`Height`' attribute
`protected FontStyle` `style` The cached value of the '`Style`' attribute
`protected static FontStyle` `STYLE_EDEFAULT` The default value of the '`Style`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `BasicFontImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getFaceName()`
`int` `getHeight()`
`FontStyle` `getStyle()`
`void` `setFaceName(java.lang.String newFaceName)`
`void` `setHeight(int newHeight)`
`void` `setStyle(FontStyle newStyle)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### FACE_NAME_EDEFAULT

    protected static final java.lang.String FACE_NAME_EDEFAULT

  The default value of the '`Face Name`' attribute.

  See Also:
    `BasicFontImpl.getFaceName()`
  ** Generated **
  Ordered:

### faceName

    protected java.lang.String faceName

  The cached value of the '`Face Name`' attribute.

  See Also:
    `BasicFontImpl.getFaceName()`
  ** Generated **
  Ordered:

### HEIGHT_EDEFAULT

    protected static final int HEIGHT_EDEFAULT

  The default value of the '`Height`' attribute.

  See Also:
    `BasicFontImpl.getHeight()`, Constant Field Values
  ** Generated **
  Ordered:

### height

    protected int height

  The cached value of the '`Height`' attribute.

  See Also:
    `BasicFontImpl.getHeight()`
  ** Generated **
  Ordered:

### STYLE_EDEFAULT

    protected static final FontStyle STYLE_EDEFAULT

  The default value of the '`Style`' attribute.

  See Also:
    `BasicFontImpl.getStyle()`
  ** Generated **
  Ordered:

### style

    protected FontStyle style

  The cached value of the '`Style`' attribute.

  See Also:
    `BasicFontImpl.getStyle()`
  ** Generated **
  Ordered:

Constructor Detail

### BasicFontImpl

    protected BasicFontImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  ** Generated **

### getFaceName

    public java.lang.String getFaceName()

  Specified by:
    `getFaceName` in interface `BasicFont`
  Returns:
    the value of the 'Face Name' attribute.
  See Also:
    `BasicFont.setFaceName(String)`, `GMFGraphPackage.getBasicFont_FaceName()`
  ** Generated **

### setFaceName

    public void setFaceName(java.lang.String newFaceName)

  Specified by:
    `setFaceName` in interface `BasicFont`
  Parameters:
    `newFaceName` - the new value of the 'Face Name' attribute.
  See Also:
    `BasicFont.getFaceName()`
  ** Generated **

### getHeight

    public int getHeight()

  Specified by:
    `getHeight` in interface `BasicFont`
  Returns:
    the value of the 'Height' attribute.
  See Also:
    `BasicFont.setHeight(int)`, `GMFGraphPackage.getBasicFont_Height()`
  ** Generated **

### setHeight

    public void setHeight(int newHeight)

  Specified by:
    `setHeight` in interface `BasicFont`
  Parameters:
    `newHeight` - the new value of the 'Height' attribute.
  See Also:
    `BasicFont.getHeight()`
  ** Generated **

### getStyle

    public FontStyle getStyle()

  Specified by:
    `getStyle` in interface `BasicFont`
  Returns:
    the value of the 'Style' attribute.
  See Also:
    `FontStyle`, `BasicFont.setStyle(FontStyle)`, `GMFGraphPackage.getBasicFont_Style()`
  ** Generated **

### setStyle

    public void setStyle(FontStyle newStyle)

  Specified by:
    `setStyle` in interface `BasicFont`
  Parameters:
    `newStyle` - the new value of the 'Style' attribute.
  See Also:
    `FontStyle`, `BasicFont.getStyle()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  ** Generated **

### toString

    public java.lang.String toString()

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.